Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> PHP-Nuke Patched Series By Chatserv
Author Message
mercman
Regular
Regular


Joined: Nov 29, 2006
Posts: 64
Location: TN, USA

PostPosted: Tue Mar 11, 2008 4:58 pm Reply with quote

... version is rnv2.02.02

Hi All!
I've been seaching for a way to require the site admin (myself) to approve all registration requests, and I found the 'Approve Membership' add-on, but it seems that to use it the site must be a NP version so...

I'm thinking that I'd like to upgrade to a NP version (I've downloaded '76patched3dot5.zip') but don't find much detail for installation of the patch.
The 'readme.txt' file indicates some changes to be made to maintain what I'd term 'look and feel', but I can't seem to find the code strings to change in the new php files.

Can someone help?

Also, if you take a look at my site ( Only registered users can see links on this board! Get registered or login!) you'll find that it makes use of an older theme (which I don't really want to lose) and many, many third party add-ons... can someone tell me how much 'damage' I can expect by upgrading?

Thanks for your help!

_________________
-Merc 
View user's profile Send private message Visit poster's website
Susann
Moderator


Joined: Dec 19, 2004
Posts: 3191
Location: Germany:Moderator German NukeSentinel Support

PostPosted: Tue Mar 11, 2008 6:02 pm Reply with quote

Don´t know about the standard Approve Membership but for RavenNuke there is a lite version available: Only registered users can see links on this board! Get registered or login!
Update to the latest RavenNuke version 2.20.01 the forums upgrade to 2.0.23 is an easy step. The upgrade file is included in RavenNuke.
And really themes are available like a dime a dozen. I have seen similar themes for free and I don´t believe they wouldn´t work after upgrade. I had this problem with my theme long time ago but it was an forum upgrade with over 10 versions.
Your problem is forums.html?file=profile&mode=register&agreed=true

This means every Spammer can register directly. In newer RavenNuke versions this isn´t possible anymore.

Backup everything and maybe try it first out on your locahost.
 
View user's profile Send private message
mercman
PostPosted: Tue Mar 11, 2008 6:26 pm Reply with quote

Thanks for your reply Susann.
I guess I'll do a beta install of 2.20.01 and test.
 
Susann
PostPosted: Tue Mar 11, 2008 6:36 pm Reply with quote

Maybe search also the forums at Evaders site you ´ll find the difference of the forums files between BBTONuke 2.0.22 and 2.0.23
 
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9457
Location: Arizona

PostPosted: Wed Mar 12, 2008 5:52 am Reply with quote

mercman, if you are running RavenNuke 2.02.02, then the upgrade is a "breeze" table-wise. We take care of all the needed upgrading. If you have customized your files, though, you will need to take more time to merge in your changes.

RN from 2.02.02 to 2.20.x has changed significantly. It will make it very difficult to merge in your changes. You may have to re-customize. But, you will not know, until you give it a try (on a local setup, not on your live site).

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
mercman
PostPosted: Wed Mar 12, 2008 4:07 pm Reply with quote

Montego, thanks for your reply. Smile
I'm planning on installing to a beta site and 'playing' a little; but I do have a few questions...
Even using the RN2.20.x version; to maintain right side blocks and to get my theme to work, would the same changes apply as indicated in the 'readme.txt' file of the '76patched3dot5.zip'?
Mainly:
"1- If you want right side blocks to appear in third party add-ons change:
In Modules:"
Code:


index = 1;

to
Code:


define('INDEX_FILE', true);

and "In Themes:"
Code:


if ($index == 1) {

to
Code:


if (defined('INDEX_FILE')) {

etc., etc.
Would this be a correct assumption?
If so, would this mean of the modules.php file included with the patch (or in this case, the new distro)?
And the themes.php file in each theme?
 
evaders99
Former Moderator in Good Standing


Joined: Apr 30, 2004
Posts: 3221

PostPosted: Wed Mar 12, 2008 5:47 pm Reply with quote

Right, you would need to do these changes for all ADDONS
All the files within RavenNuke should already be modified correctly, but perhaps not the specific modules/YOUR_MODULE/* files nor themes/YOUR_THEME/* files.

_________________
- Only registered users can see links on this board! Get registered or login! -

Need help? Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
mercman
PostPosted: Wed Mar 12, 2008 5:55 pm Reply with quote

Evaders99, thank you for your reply!

So, I'll have to make these changes for EVERY module and EVERY theme that did not come with the distro and that I currently use (older stuff).
I thought this might be the case.

Looks like I have a lot of work to do... *sigh*

Thank you, everyone, for your insights!
 
montego
PostPosted: Thu Mar 13, 2008 6:10 am Reply with quote

mercman, it really depends. If these add-ons were already coded for the latest in terms of PHP-Nuke patches (and why would you run without the latest????), then you should be just fine.
 
mercman
PostPosted: Thu Mar 13, 2008 3:34 pm Reply with quote

Montego,
Quote:

(and why would you run without the latest????)

Ah, but that's the question isn't it?

No, I'm not running any of the NP versions, just RN 2.02.02 and most of my add-ons where incorporated if they worked for PHP-nuke 7.6 and they did what I needed.
 
mercman
PostPosted: Thu Mar 13, 2008 6:30 pm Reply with quote

Status update:
So far, so good.
As you can see Only registered users can see links on this board! Get registered or login!, I managed to get my theme working with minor adjustment to the 'header.html' file and the few blocks I've incorporated look/work fine.

Still some work to go on this beta test site, but it looks promising.

Very Happy
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> PHP-Nuke Patched Series By Chatserv

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©